[package]
name = "crank-adapter-grpc"
edition.workspace = true
license.workspace = true
rust-version.workspace = true
version.workspace = true

[features]
test-support = []

[dependencies]
base64.workspace = true
crank-core = { path = "../crank-core" }
crank-proto = { path = "../crank-proto" }
futures-util = "0.3"
prost.workspace = true
prost-reflect.workspace = true
serde.workspace = true
serde_json.workspace = true
thiserror.workspace = true
tonic.workspace = true
tonic-prost.workspace = true
tokio.workspace = true

[dev-dependencies]
prost-types.workspace = true

[build-dependencies]
protoc-bin-vendored.workspace = true
tonic-prost-build.workspace = true
